<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );

	class BackendMenu extends Widget {
		public function __construct( $id = "BackendMenu" , $parent = null ) {
			parent::__construct( $id , $parent );
		}

		protected function getBackendMenu() {
			$menu = array();
			$menu["Napi karbantartás"] = array(
				"/admin/members/" => array( "icon" => "users" , "title" => "Tagi karbantartás" ),
				"/admin/mail_templates/" => array( "icon" => "mail" , "title" => "Sablonlevelek" ),
				"/admin/jobs/" => array( "icon" => "window" , "title" => "Munkaajánlatok" ),
				"/admin/payments/" => array( "icon" => "credit_cart" , "title" => "Bankkártyás fizetések" ),
				"/admin/forum_topics/" => array( "icon" => "community_users" , "title" => "Fórumtémák" ),
				"/admin/forum/" => array( "icon" => "community_users" , "title" => "Szakmai fórum" ),
				"/admin/articles/" => array( "icon" => "blog_post" , "title" => "Cikkek" ),
				// "/admin/statuses/" => array( "icon" => "search_image" , "title" => "Státuszgenerálás" ),
				"/admin/feedback/" => array( "icon" => "comment2" , "title" => "Visszajelzések" ),
				"/admin/users/" => array( "icon" => "users" , "title" => "Ajánlatkérők" ),
			);
			$menu["Egyéb beállítások"] = array(
				"/admin/languages/" => array( "icon" => "comment2" , "title" => "Nyelvek" ),
				"/admin/langdefs/" => array( "icon" => "comment2" , "title" => "Nyelvi definíciók" ),
				"/admin/article_categories/" => array( "icon" => "folder_full" , "title" => "Rovatok" ),
				"/admin/parameters/" => array( "icon" => "computer" , "title" => "Rendszerparaméterek" ),
				"/admin/admin_ips/" => array( "icon" => "computer" , "title" => "Admin IP" ),
				"/admin/coupons/" => array( "icon" => "10_percent_off" , "title" => "Kuponkampányok" ),
				"/admin/newsletters/" => array( "icon" => "mail" , "title" => "Hírlevelek" ),
				"/admin/logout/" => array( "icon" => "unlock" , "title" => "Kijelentkezés" )
			);
			$menu["Stat/Misc"] = array(
				"/admin/tools/generate_newsletter_users.php" => array( "icon" => "mail" , "title" => "Hírlevél felhasználók újragenerálása" ),
				"/admin/statistics/jobs.php" => array( "icon" => "blog_post" , "title" => "Munkaajánlatok" ),
				"/admin/statistics/job_quotes.php" => array( "icon" => "blog_post" , "title" => "Ajánlattételek" )
			);
			$menu["Törzsadatok"]=array(
				"/admin/countries/" => array( "icon" => "globe" , "title" => "Országok" ),
				"/admin/memberships/" => array( "icon" => "globe" , "title" => "Szakmai tagságok" )
			);
			return $menu;
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$menu = $this->getBackendMenu();
			$this->setParam( "menu" , $menu );
			// $this->setParam( "menuitems" , $menu );
			FNTHPage::addUniquePageFullInit( sprintf( "InitBackendMenu( '%s' );" , $this->getId() ) );
			return parent::render();
		}
	}

?>
